Request a signed URL for document image upload
curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/customers/{customerId}/document \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"documentType": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/customers/{customerId}/document"
payload = { "documentType": "<string>" }
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({documentType: '<string>'})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/customers/{customerId}/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"url": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Request a signed URL for document image upload
Permissions required: Onboarding
Request a signed URL for uploading document images for the existing customer onboarding application
Note that the URL expires after 15m, you can still generate a new URL if this one expires. If the image file is never uploaded, the document will show as missing in the GET response and a new signed URL must be requested.
POST
/
onboarding
/
customers
/
{customerId}
/
document
Request a signed URL for document image upload
curl --request POST \
--url https://api.anchorage-staging.com/v2/onboarding/customers/{customerId}/document \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"documentType": "<string>"
}
'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/customers/{customerId}/document"
payload = { "documentType": "<string>" }
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({documentType: '<string>'})
};
fetch('https://api.anchorage-staging.com/v2/onboarding/customers/{customerId}/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"url": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The unique identifier for the customer
Body
application/json
Type of document to upload.
Response
Information regarding the document url
Show child attributes
Show child attributes
Was this page helpful?